EDIT - bug #7373

TitleAndNameCacheAutolnitializer needs to be adapted to recent TaxonName model changes
04/26/2018 11:24 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: major Found in Version:

Description

The TitleAndNameCacheAutolnitializer has been adapted in turn of the reactoring for #6368. But the changes applied in e6d7b501
and 9dc896¢c9 turn the code in the initialize() method into an irritating if else if else sequence which cant be correct:

if (bean instanceof TaxonName) {
// ———> NonViralName

} else if (bean instanceof TaxonName) {
// —-—-—> TaxonName

Related issues:
Related to EDIT - feature request #6368: Merge all TaxonNameBase classes, rem... Closed

History

#1 - 04/26/2018 11:24 PM - Andreas Kohlbecker

- Related to feature request #6368: Merge all TaxonNameBase classes, remove DTYPE, rename table added

#2 - 05/14/2018 11:30 PM - Andreas Miller

- Target version changed from Release 5.0 to Release 5.1

#3 - 06/27/2018 02:27 PM - Andreas Miller

- Target version changed from Release 5.1 to Release 5.2

#4 - 08/17/2018 03:41 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#5 - 09/06/2018 09:57 AM - Andreas Mdiller

- Target version changed from Release 5.3 to Release 5.4

#6 - 10/23/2018 11:27 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#7 - 02/14/2019 10:24 PM - Andreas Miuller

- Target version changed from Release 5.5 to Release 5.6

#8 - 02/19/2019 05:32 PM - Andreas Miiller
- Priority changed from New to Highest

#9 - 02/28/2019 10:36 AM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release
